Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class Phonon.MetaData

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.Phonon.MetaData

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  Phonon

    public static final class Phonon.MetaData

extends java.lang.Enum
implements QtEnumerator

Provided as keys for `Phonon::MediaObject::metaData()`. The enum values matches strings defined in the Ogg Vorbis specification

See Also:
  Serialized Form

Field Summary
`static Phonon.MetaData` | `AlbumMetaData`
`static Phonon.MetaData` | `ArtistMetaData`
`static Phonon.MetaData` | `DateMetaData`
`static Phonon.MetaData` | `DescriptionMetaData`
`static Phonon.MetaData` | `GenreMetaData`
`static Phonon.MetaData` | `MusicBrainzDiscIdMetaData`
`static Phonon.MetaData` | `TitleMetaData`
`static Phonon.MetaData` | `TracknumberMetaData`

Method Summary
`static Phonon.MetaData` | `resolve(int value)` Returns the Phonon$MetaData constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Phonon.MetaData` | `valueOf(java.lang.String name)`
`static Phonon.MetaData[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ArtistMetaData

    public static final Phonon.MetaData ArtistMetaData

### AlbumMetaData

    public static final Phonon.MetaData AlbumMetaData

### TitleMetaData

    public static final Phonon.MetaData TitleMetaData

### DateMetaData

    public static final Phonon.MetaData DateMetaData

### GenreMetaData

    public static final Phonon.MetaData GenreMetaData

### TracknumberMetaData

    public static final Phonon.MetaData TracknumberMetaData

### DescriptionMetaData

    public static final Phonon.MetaData DescriptionMetaData

### MusicBrainzDiscIdMetaData

    public static final Phonon.MetaData MusicBrainzDiscIdMetaData

Method Detail

### values

    public static Phonon.MetaData[] values()

### valueOf

    public static Phonon.MetaData valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Phonon.MetaData resolve(int value)

  Returns the Phonon$MetaData constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD